# /srv/salt/users/init.sls

{% set ssh_public_key = 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIM+sKpcREOUjwMMSzEWAso6830wbOi8kUxqpuXWw5gHr' %}

menno_user:
  user.present:
    - name: menno
    - shell: /bin/bash
    - home: /home/menno
    - createhome: True
    - groups:
      - sudo
      - docker
    - require:
      - sls: sudo
      - sls: docker

menno_ssh_dir:
  file.directory:
    - name: /home/menno/.ssh
    - user: menno
    - group: menno
    - mode: 700
    - makedirs: True
    - require:
      - user: menno_user

root_ssh_dir:
  file.directory:
    - name: /root/.ssh
    - user: root
    - group: root
    - mode: 700
    - makedirs: True

menno_authorized_keys:
  file.managed:
    - name: /home/menno/.ssh/authorized_keys
    - user: menno
    - group: menno
    - mode: 600
    - require:
      - file: menno_ssh_dir

root_authorized_keys:
  file.managed:
    - name: /root/.ssh/authorized
    - user: root
    - group: root
    - mode: 600
    - require:
      - file: root_ssh_dir

add_ssh_key:
  file.append:
    - name: /home/menno/.ssh/authorized_keys
    - text: {{ ssh_public_key }}
    - require:
      - file: menno_authorized_keys
      
add_ssh_key_to_root:
  file.append:
    - name: /root/.ssh/authorized_keys
    - text: {{ ssh_public_key }}
    - require:
      - file: menno_authorized_keys
